Summary: SKK like Japanese-input application
Name: skkinput
Version: 2.06.4
Release: 1m
License: GPL
Group: User Interface/X
Source0: http://downloads.sourceforge.jp/skkinput2/6273/skkinput-%{version}.tar.gz
Source1: bash.dot.inputrc
# Patch: skkinput-2.05-utf8.patch
Patch2: skkinput-default.patch

URL: http://skkinput2.sourceforge.jp/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
NoSource: 0
Requires: skkserv

%description
skkinput is a kana to kanji converter with kinput protocol/kinput2 protcol/
Ximp Protocol/X Input Method(X11R6 standard) under X Window System.

%prep
%setup -q
# %patch -p1 -b .utf8
%patch2 -p1 -b .default

cp %{SOURCE1} .

%build
xmkmf -a
make -j%{_numjobs} CDEBUGFLAGS="%{optflags}" || make CDEBUGFLAGS="%{optflags}"

#cd myeval; make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/X11R6
if [ -d /usr/X11R6.1 ]; then
	ln -sf %{buildroot}/usr/X11R6 %{buildroot}/usr/X11R6.1
fi
if [ -d /usr/X11R6.3 ]; then
	ln -sf %{buildroot}/usr/X11R6 %{buildroot}/usr/X11R6.3
fi

mkdir -p %{buildroot}/usr/X11R6/bin
mkdir -p %{buildroot}/usr/X11R6/man/man1
make DESTDIR=%{buildroot} install
make DESTDIR=%{buildroot} \
  MANSOURCEPATH=/usr/X11R6/man/ja/man install.man

mkdir -p %{buildroot}/etc/X11/xinit/xim.d

cat <<END > %{buildroot}/etc/X11/xinit/xim.d/SKK
NAME="SKK"
LANGUAGE="Japanese"
IFEXISTS="/usr/X11R6/bin/skkinput"
IM_HOST=localhost
IM_PORT=1178
if [ -f \$HOME/.xinit.d/im_host ]; then
	IM_HOST=\`awk -F: '{print \$1}' \$HOME/.xinit.d/im_host\`
	IM_DUMMY_PORT=\`awk -F: '{print \$2}' \$HOME/.xinit.d/im_host\`
	if [ "\$IM_DUMMY_PORT" != "" ]; then
		IM_PORT=\$IM_DUMMY_PORT
	fi
fi
IM_EXEC="skkinput -h \$IM_HOST -p \$IM_PORT"
XMODIFIERS=@im=skkinput
GTK_IM_MODULE=xim
QT_IM_MODULE=xim
export IM_EXEC XMODIFIERS GTK_IM_MODULE QT_IM_MODULE
END

install -d %{buildroot}%{_datadir}/config-sample/skkinput
install -m644 dot.skkinput %{buildroot}%{_datadir}/config-sample/skkinput
install -m644 bash.dot.inputrc %{buildroot}%{_datadir}/config-sample/skkinput

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc BUGS.jis CHANGES.jis FAQ.jis GPL PROGRAM.jis README.jis TODO.jis
%doc myeval/skkinputlisp.doc
%config /etc/X11/xinit/xim.d/SKK
%{_sysconfdir}/X11/app-defaults/Skkinput
/usr/X11R6/bin/skkinput
/usr/X11R6/man/ja/man1/skkinput.1x*
/usr/X11R6/man/ja/ja/man1/skkinput.1x
/usr/X11R6/lib/X11/app-defaults/Skkinput
%{_datadir}/config-sample/skkinput

%changeLog
* Thu Mar 10 2005 Yasuo Ohgaki <yohgaki@ohgaki.net>
- (2.06.4-1m)
- version up

* Sat Nov  6 2004 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.06.3-5m)
- change xim.d/SKK (add QT_IM_MODULE)

* Fri Nov  5 2004 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (2.06.3-4m)
- change xim.d/SKK (add GTK_IM_MODULE)

* Mon Aug 30 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.06.3-3m)
- build against kernel-2.6.8

* Sat Mar 27 2004 Toru Hoshina <t@momonga-linux.org>
- (2.06.3-2m)
- revised spec for rpm 4.2.

* Thu May  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.06.3-1m)
  update to 2.06.3

* Mon Aug 19 2002 Motonobu Ichimura <famao@kondara.org>
- (2.05-1m)
- up to 2.05
- change URL
- modified utf patch
- and more stuff

* Thu Jun 13 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (2.0.3-18k)
- apply skkinput enable for qt-3.0.3 patch.
- modify source URI.

* Mon Dec 03 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.3-16k)
- add config-sample

* Fri Nov 30 2001 Motonobu Ichimura <famao@kondara.org>
- (2.0.3-14k)
- added default.patch
- added status.patch

* Fri Nov 23 2001 Motonobu Ichimura <famao@kondara.org>
- (2.03-12k)
- added LANGUAGE support for latest ximswitch

* Tue Nov 13 2001 Shingo Akagaki <dora@kondara.org>
- (2.03-8k)
- change /etc/X11/xinit/xim.d/SKK script

* Tue Nov 13 2001 Kenta MURATA <muraken2@nifty.com>
- (2.03-6k)
- add Requires: skkserv

* Tue Sep 11 2001 Motonobu Ichimura <famao@kondara.org>
- (2.03-5k)
- added v6 patch
- added out patch
- cleanup spec file

* Wed Feb  7 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.03-3k)
- update to 2.03
- master site URL has been changed
- change BuildRoot

* Thu Sep 21 2000 Akira Higuchi <a@kondara.org>
- fix in utf8 patch.

* Mon Jul 17 2000 KOJI Oyamada <oyamada@mvf.biglobe.ne.jp>
- skkinput-2.01-filterevent-debian.patch - debain-jp potato (skkinput_2.03-3)

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Mon May 15 2000 Akira Higuchi <a@kondara.org>
- added utf8 support

* Tue Dec 14 1999 Tenkou N. Hattori <tnh@kondara.org>
- move japanese man page to %{_mandir}/ja

* Sat Nov 27 1999 Akira Higuchi <a@kondara.org>
- modified the xim script according to the changes in the xinitrc
  package.
- fixed the problem that the awk script is evaluated at build time.

* Thu Nov 24 1999 Norihito Ohmori <nono@kondara.org>
- fix /etc/X11/im/SKK bug with wdm

* Thu Nov 18 1999 Norihito Ohmori <nono@kondara.org>
- add /etc/X11/im/SKK

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Sep 5 1999 Toru Hoshina <hoshina@best.com>
- add ohyoi patch.

* Thu Aug 26 1999 Toru Hoshina <hoshina@best.com>
- add filter events patch.

* Mon May 03 1999 Toru Hoshina <hoshina@best.com>
- Release 3
- use defattr tag to be owned by anyone else but root.

* Tue Mar 16 1999 Toru Hoshina<hoshina@best.com>
- rebuild against rawhide 1.2.9

* Thu Jul 16 1998 Atsushi Yamagata <yamagata@plathome.co.jp>
- 1st release
- version up to 2.01

* Tue Mar 24 1998 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
